| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::AutotagsScanSettings Class Reference

## Public Types
enum | ScanMode { AllItems = 0 , NonAssignedItems }
| Different possible mode processed while scanning operation. More...
enum | TagMode { Replace = 0 , Update }
| Different possible mode processed with tags while scanning operation. More...

## Public Member Functions
| AutotagsScanSettings (const AutotagsScanSettings &other)
AutotagsScanSettings & | operator= (const AutotagsScanSettings &other)
void | readFromConfig ()
void | readFromConfig (const KConfigGroup &)
void | writeToConfig ()
void | writeToConfig (KConfigGroup &)

## Public Attributes
AlbumList | albums
| Albums to scan.
bool | bqmMode = false
| Set true for BQM.
QStringList | languages
| Autotags languages.
QString | objectDetectModel = QStringLiteral("yolov11-nano")
| Object Detection Model.
ScanMode | scanMode = ScanMode::AllItems
| Scanning mode.
TagMode | tagMode = TagMode::Replace
| Processing power.
int | uiConfidenceThreshold = 7
| Confidence threshold.
bool | useFullCpu = false
| Processing using all CPU available.
bool | wholeAlbums = true
| Whole albums checked.

## Member Enumeration Documentation

## ◆ ScanMode

enum Digikam::AutotagsScanSettings::ScanMode

Enumerator
AllItems | Scan all items.
NonAssignedItems | Scan only items with no tags assigned.

## ◆ TagMode

enum Digikam::AutotagsScanSettings::TagMode

Enumerator
Replace | Clean all tags already assigned.
Update | Add new tags to existing tags.